## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream publishes to PyPI but does not tag releases. This commit includes
# the LICENSE file.
%global commit 3f21554fd821074c2836f65078eaace5c0569c2a
%global snapdate 20210806

Name:           python-pytest-grpc
Version:        0.8.0^%{snapdate}git%(echo '%{commit}' | cut -b -7)
Release:        %autorelease
Summary:        Allow testing gRPC with pytest

# SPDX
License:        MIT
URL:            https://github.com/kataev/pytest-grpc
Source0:        %{url}/archive/%{commit}/pytest-grpc-%{commit}.tar.gz

BuildArch:      noarch
 
BuildRequires:  python3-devel

# Not specified in setup.py metadata, but required for tests:
BuildRequires:  python3dist(grpcio)

%global common_description %{expand:
Write tests for gRPC with pytest.}

%description %{common_description}


%package -n     python3-pytest-grpc
Summary:        %{summary}

# Not specified in setup.py metadata, but required for any practical use:
Requires:       python3dist(grpcio)

%description -n python3-pytest-grpc %{common_description}


%prep
%autosetup -n pytest-grpc-%{commit}
# We do not want or need to install this zero-length hidden file, which is
# present upstream so that git will preserve the directory.
rm -vf example/src/stub/.keepdir


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_grpc


%check
# Upstream has no tests.
%pyproject_check_import


%files -n python3-pytest-grpc -f %{pyproject_files}
%doc README.md
%doc example/


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0^20210806git3f21554-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0^20210806git3f21554-6
- Indicate dirs. in files list with trailing slashes

* Sun Nov 27 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0^20210806git3f21554-5
- Confirm License is SPDX MIT

* Sun Nov 27 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0^20210806git3f21554-4
- Drop default -r argument to pyproject_buildrequires

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0^20210806git3f21554-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> 0.8.0^20210806git3f21554-2
- Rebuilt for Python 3.11

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0^20210806git3f21554-1
- Drop “forge” macros and use “modern” snapshot versioning

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Oct 29 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-5
- Use the new %%%%pyproject_check_import macro

* Mon Sep 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-4
- Let pyproject-rpm-macros handle the license file

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-3
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-2
- Reduce spec file macro indirection

* Wed Aug 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-1
- Initial package
